{
  Copyright 2011-2012 Joe Justice (joe@joejustice.org)
 
  This file is part of LightNet: Cloud.

  LightNet: Cloud is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  LightNet: Cloud is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with LightNet: Cloud, see files COPYING.txt and COPYING.LESSER.txt 
  If not, see <http://www.gnu.org/licenses/>.

----------------------------------------------------------------------------

The form that the user uses to change the settings.

}

unit settings_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls, Menus, ComCtrls, LCLType;

type

  { TLnC_SettingsForm }

  TLnC_SettingsForm = class(TForm)
    Button_LocalCache: TButton;
    Button_LWSNFile: TButton;
    Button_LWConfigDir: TButton;
    Button_WatchFolder: TButton;
    Check_AutoStart: TCheckBox;
    Check_Offsite: TCheckBox;
    Check_AdaptiveFrames: TCheckBox;
    Check_ScreamerSilent: TCheckBox;
    Check_Onsite: TCheckBox;
    Check_WatchSilent: TCheckBox;
    Check_WatchManageServer: TCheckBox;
    Edit_AutostartInterval: TEdit;
    Edit_LocalCache: TEdit;
    Edit_Groups: TEdit;
    Edit_watchInterval: TEdit;
    Edit_ftpPort: TEdit;
    Edit_ftpSubDir: TEdit;
    Edit_WatchFolder: TEdit;
    Edit_ScreamerName: TEdit;
    Edit_ftpServer: TEdit;
    Edit_ftpUser: TEdit;
    Edit_ftpPassword: TEdit;
    Edit_ftpCheckInterval: TEdit;
    Edit_LWScreamerFile: TEdit;
    Edit_LWConfigDir: TEdit;
    Edit_LWConfigSuffix: TEdit;
    Label_AutostartInterval: TLabel;
    Label_ftpCheckInterval: TLabel;
    Label_LocalCashe: TLabel;
    Label_Groups: TLabel;
    Label_watchInterval: TLabel;
    Label_ftpPort: TLabel;
    Label_ftpSubDir: TLabel;
    Label_WatchFolder: TLabel;
    Label_ScreamerName: TLabel;
    Label_LWConfigDir: TLabel;
    Label1_LWConfigSuffix: TLabel;
    Label_LocalDir: TLabel;
    Label_ftpServer: TLabel;
    Label_ftpUser: TLabel;
    Label_ftpPassword: TLabel;
    Label_MySQLCheckInterval: TLabel;
    Label_LWScreamerFile: TLabel;
    MenuItem1: TMenuItem;
    OkSettings: TButton;
    SelectDir_LocalCache: TSelectDirectoryDialog;
    SelectDir_Watch: TSelectDirectoryDialog;
    SelectDir_LWSN: TSelectDirectoryDialog;
    SelectDir_LWConfig: TSelectDirectoryDialog;
    Tabs: TPageControl;
    SaveSettingsDialog: TSaveDialog;
    CancelSettings: TButton;
    General: TTabSheet;
    FTP: TTabSheet;
    LWScreamer: TTabSheet;
    Watcher: TTabSheet;
    procedure Button_LocalCacheClick(Sender: TObject);
    procedure Button_LWConfigDirClick(Sender: TObject);
    procedure Button_LWSNFileClick(Sender: TObject);
    procedure Button_WatchFolderClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  LnC_SettingsForm: TLnC_SettingsForm;

implementation

{ TLnC_SettingsForm }

procedure TLnC_SettingsForm.FormCreate(Sender: TObject);
  begin

  end;

procedure TLnC_SettingsForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = LCLType.VK_RETURN then ModalResult := mrOK;
  if Key = LCLType.VK_ESCAPE then ModalResult := mrCancel;
end;


procedure TLnC_SettingsForm.Button_LWConfigDirClick(Sender: TObject);
  begin
    if SelectDir_LWConfig.Execute then Edit_LWConfigDir.Text := SelectDir_LWConfig.FileName;
  end;

procedure TLnC_SettingsForm.Button_LocalCacheClick(Sender: TObject);
begin
    if SelectDir_LocalCache.Execute then Edit_LocalCache.Text := SelectDir_LocalCache.FileName;
end;

procedure TLnC_SettingsForm.Button_LWSNFileClick(Sender: TObject);
  begin
    if SelectDir_LWSN.Execute then Edit_LWScreamerFile.Text := SelectDir_LWSN.Filename;
  end;

procedure TLnC_SettingsForm.Button_WatchFolderClick(Sender: TObject);
  begin
    if SelectDir_Watch.Execute then Edit_WatchFolder.Text := SelectDir_Watch.FileName;
  end;

initialization
  {$I settings_form.lrs}

end.

