{
  Copyright 2011-2012 Joe Justice (joe@joejustice.org)
 
  This file is part of LightNet: Cloud.

  LightNet: Cloud is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  LightNet: Cloud is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with LightNet: Cloud, see files COPYING.txt and COPYING.LESSER.txt 
  If not, see <http://www.gnu.org/licenses/>.

----------------------------------------------------------------------------

This gets a file list from the FTP server

}

unit watcher_filelister_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls;

type

  { TWatchFileLister }

  TWatchFileLister = class(TForm)
    Label_SceneName: TLabel;
    Timer_Listing: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer_ListingTimer(Sender: TObject);
  private
    { private declarations }
  public
    Listing: string;
    procedure GetListing(const s :string);
    { public declarations }
  end; 

implementation
  uses lncwatcher_form;

{ TWatchFileLister }

procedure TWatchFileLister.FormCreate(Sender: TObject);
begin
end;

procedure TWatchFileLister.GetListing(const s :string);
begin
  LnC_FM.ErrorReset;
  LnC_FM.FMJobs_Add('list|' + s + '|' + s);
  Timer_Listing.Enabled := true;
end;


procedure TWatchFileLister.Timer_ListingTimer(Sender: TObject);
begin
  if (not LnC_FM.IsBusy) and (LnC_FM.Listing <> '') then
  begin
    if LnC_FM.Listing = 'empty' then
      Listing := ''
    else
      Listing := LnC_FM.Listing;
    LnC_FM.Listing := '';
    Timer_Listing.Enabled := false;
    if Listing = '' then
      begin
        ModalResult := mrCancel;
      end
    else
      begin
        ModalResult := mrOK;
      end;
  end;
end;

initialization
  {$I watcher_filelister_form.lrs}

end.

