{
  Copyright 2011-2012 Joe Justice (joe@joejustice.org)
 
  This file is part of LightNet: Cloud.

  LightNet: Cloud is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  LightNet: Cloud is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with LightNet: Cloud, see files COPYING.txt and COPYING.LESSER.txt 
  If not, see <http://www.gnu.org/licenses/>.

----------------------------------------------------------------------------

This gets the default scene information for a secene that is on the FTP server

}
unit watcher_getsceneinfo_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls;

type

  { TWatchSceneInfo }

  TWatchSceneInfo = class(TForm)
    Label_SceneName: TLabel;
    Timer_SceneInfo: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer_SceneInfoTimer(Sender: TObject);
  private
    { private declarations }
  public
    SceneFile, ContentDir, FirstFrame, LastFrame, Groups: string;
    OffSite :boolean;
    procedure GetSceneInfo(const LocalFile, ftpFile :string);
    { public declarations }
  end; 

implementation
  uses lncwatcher_form;

{ TWatchSceneInfo }

procedure TWatchSceneInfo.GetSceneInfo(const LocalFile, ftpFile :string);
begin
  LnC_FM.FMJobs_Add('get|' + LocalFile + '|' + ftpFile);
  SceneFile := LocalFile;
  Timer_SceneInfo.Enabled := true;
end;

procedure TWatchSceneInfo.Timer_SceneInfoTimer(Sender: TObject);
var
  SceneFileText: TStringList;
  i :integer;
  s :string;

begin
  ContentDir := '';
  FirstFrame := '';
  LastFrame := '';
  Groups := '';
  i := 0;
  Offsite := false;

  if FileExistsUTF8(SceneFile) then
    begin
      SceneFileText := TStringList.Create;
      SceneFileText.LoadFromFile(SceneFile);
      for i := 0 to SceneFileText.Count-1 do
        begin
          s := SceneFileText[i];
          s := Lowercase(s);
          s := Trim(s);
          if s <> '' then
            if Copy(s, 1, 10) = 'firstframe' then
              begin
                FirstFrame := Copy(s, 12, Length(s)-10);
              end;
          if s <> '' then
            if Copy(s, 1, 9) = 'lastframe' then
              begin
                LastFrame := Copy(s, 11, Length(s)-9)
              end;
          if s <> '' then
            if Copy(s, 1, 11) = 'lnc_content' then
              begin
                ContentDir := Copy(s, 13, Length(s)-11);
                if Copy(ContentDir, Length(ContentDir) - 3, 4) = '.zip' then
                  begin
                    Offsite := true;
                  end;
              end;
            if s <> '' then
              if Copy(s, 1, 10) = 'lnc_groups' then
                begin
                  Groups := Copy(s, 12, Length(s)-10);
                  Groups := Trim(Groups);
                  Groups := Lowercase(Groups);
                end;
        end;
      SceneFileText.Free;
      if Groups = '' then Groups := 'default';
      ModalResult := mrOK;
      Timer_SceneInfo.Enabled := false;
      DeleteFileUTF8(SceneFile);
    end;
end;

procedure TWatchSceneInfo.FormCreate(Sender: TObject);
begin

end;

initialization
  {$I watcher_getsceneinfo_form.lrs}

end.

