@version 2.3
@warnings
@script master
@name LnC_Settings

/*
  Copyright 2011-2012 Joe Justice (joe@joejustice.org)
 
  This file is part of LightNet: Cloud.

  LightNet: Cloud is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  LightNet: Cloud is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with LightNet: Cloud, see files COPYING.txt and COPYING.LESSER.txt 
  If not, see <http://www.gnu.org/licenses/>.
 
 ----------------------------
 
 This is the LScript for creating the default settings in a scene
 
*/

lnc_content = "[none]";
lnc_segment = 1;
lnc_preserveOutput = 1;
lnc_groups = "default";

c1, c2, c3, c4;

create
  {
    setdesc("LightNet: Cloud - Settings");  // set panel button text
  }

destroy
  {
    //See if the panel is open and close it
    if (reqisopen())
       {
        reqend();
       }
  }

options
  {
    if(reqisopen()) //Make sure the interface is open
        reqend();   //Close if open
    reqbegin("LightNet: Cloud - Settings");
    reqsize(255,170);


    c1 = ctlstring("Content",lnc_content);
    ctlposition(c1,8,10,235,20);

    c4 = ctlstring("Groups",lnc_groups);
    ctlposition(c4,8,40,235,20);

    c2 = ctlchoice("Segment",lnc_segment,@"1x","4x","16x","25x"@);
    ctlposition(c2,50,70,190,20);

    c3 = ctlchoice("Preserve Output Prefix", lnc_preserveOutput,@"No","Yes"@);
    ctlposition(c3,50,100,190,20);

    return if !reqpost();

    lnc_content = getvalue(c1);
    lnc_segment = getvalue(c2);
    lnc_preserveOutput = getvalue(c3);
    lnc_groups = getvalue(c4);

    reqend();
  }

save: what,io
  {
    if(what == SCENEMODE)
    {
      io.writeln("lnc_content ", lnc_content);
      io.writeln("lnc_segment ", lnc_segment);
      io.writeln("lnc_preserveOutput ", lnc_preserveOutput);
      io.writeln("lnc_groups ", lnc_groups);
    }
  }

load: what,io
  {
    if(what == SCENEMODE)
    {
        line = nil;
        line = io.read();
		if (line != nil)
			{
				lnc_content = "";
				items = parse(" ",line);
				if(items[1] == "lnc_content") 
				for (i=2; i <= items.size(); i++)
					lnc_content = lnc_content + string(items[i]) + " ";	
			}

		line = nil;
        line = io.read();
		if (line != nil)
			{
				items = parse(" ",line);
				if(items[1] == "lnc_segment") lnc_segment = integer(items[2]);
			}

        line = nil;
        line = io.read();
		if (line != nil)
			{
				items = parse(" ",line);
				if(items[1] == "lnc_preserveOutput") lnc_preserveOutput = integer(items[2]);
			}

		line = nil;
        line = io.read();
		if (line != nil)
			{
				lnc_groups = "";
				items = parse(" ",line);
				if(items[1] == "lnc_groups") 
				for (i=2; i <= items.size(); i++)
					lnc_groups = lnc_groups + string(items[i]) + " ";	
			}
		if (lnc_groups == " ") { lnc_groups = "default"; }
	}
  }


